Fehler nach Serverumzug

Thema wurde von Anonymous, 16. April 2020 erstellt.

  1. Anonymous

    Anonymous Mitglied

    Registriert seit:
    30. Dezember 2019
    Beiträge:
    20
    Danke erhalten:
    2
    Danke vergeben:
    31
    Moin zusammen,

    der Umzug auf einen anderen Server hat mit Hilfe einiger Tipps hier aus dem Forum eigentlich super geklappt.

    Im Großen und Ganzen läuft auch alles, aber eben nur im Großen und Ganzen. Vorhin bin ich in der Bearbeitung einer Bestellung über etwas gestolpert...

    Ich habe die Rechnung erstellt und normalerweise öffnet sich diese dann in einem neuen Browser-Tab. Das tat sie nicht und auch in der Rechnungsliste im Admin wurde sie nicht angezeigt.

    Ich habe daraufhin nochmal auf "Rechnung erstellen" geklickt und bekam das Popup-Fenster mit der Meldung "Möchten Sie wirklich eine neue Rechnung mit neuer Rechnungsnummer erstellen?"
    Da ich aus dem ersten Versuch keine Rechnung angezeigt bekam habe ich "Ja" geklickt und plötzlich wurden mir zwei Rechnung in der Liste angezeigt. :confused:

    Daraufhin wollte ich eine der Rechnungen stornieren und bekam dann folgende Fehlermeldung:
    Code:
    WARNING(2): ""continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?"
    WARNING(2): "Cannot modify header information - headers already sent by (output started at /kunden/168409_74348/rp-hosting/1046/21/OSC/system/core/logging/LogControl.inc.php:262)"
    

    Hat jemand eine Idee woran das liegen könnte? Bzw. wie den Fehler beheben kann?

    Viele Grüße und bleibt gesund
    Michael
     
  2. Anonymous

    Anonymous Erfahrener Benutzer
    Mitarbeiter

    Registriert seit:
    22. Juni 2011
    Beiträge:
    4.186
    Danke erhalten:
    1.487
    Danke vergeben:
    103
    Der Fehlermeldung nach würde ich tippen, du verwendest PHP 7.4 zusammen mit einer Version des Shopsystems, die damit nicht kompatibel ist. Siehe auch hier: (Link nur für registrierte Nutzer sichtbar.)
     
  3. Anonymous

    Anonymous Mitglied

    Registriert seit:
    30. Dezember 2019
    Beiträge:
    20
    Danke erhalten:
    2
    Danke vergeben:
    31
    Hallo Marco,

    der Shop hat derzeit noch die V3.12.0.4, da ich vor dem Umzug (wegen der PHP-Möglichkeiten des alten Providers) nicht weiter updaten konnte.
    Als die Fehler auftraten, stand der aktuelle Server auf PHP-Version 7.3.6, habe das mal nach der Tabelle auf 7.2.23 zurück genommen.

    Oder sollte ich noch weiter zurück gehen?

    Viele Grüße
    Michael
     
  4. Anonymous

    Anonymous Erfahrener Benutzer
    Mitarbeiter

    Registriert seit:
    22. Juni 2011
    Beiträge:
    4.186
    Danke erhalten:
    1.487
    Danke vergeben:
    103
    Oy, in der Tat, ich hab mich um eine PHP-Version verhauen, der Fehler tritt schon bei 7.3 auf. Also, du hast alles richtig gemacht so, PHP 7.2 ist bei einem GX3 3.12.x.x die richtige Wahl.
     
  5. Anonymous

    Anonymous Mitglied

    Registriert seit:
    30. Dezember 2019
    Beiträge:
    20
    Danke erhalten:
    2
    Danke vergeben:
    31
    Hi Marco,

    danke für die Info. Wir beobachten das mal und wenn der Fehler doch nochmal auftritt melde ich mich. ;)

    Viele Grüße
    Michael